LSCPU(1)

NOM
lscpu - Afficher des informations sur l'architecture du processeur

SYNOPSIS

lscpu [options]

DESCRIPTION

lscpu collecte des renseignements sur l'architecture du processeur à partir de sysfs, /proc/cpuinfo et de n'importe quelle bibliothèque spécifique à une architecture (comme librtas sur Powerpc). La sortie de la commande peut être optimisée pour l’analyse ou pour faciliter la lecture. Par exemple, le nombre de processeurs, de processus légers, de cœurs, de sockets et de nœuds NUMA font partie des renseignements. Des renseignements sont aussi fournis sur les caches et les partages de cache, la famille, le modèle, le BogoMips, le boutisme et la révision.

Le format d'affichage par défaut sur un terminal est sujet à des modifications et peut être optimisé pour une meilleure lisibilité. La sortie hors d’un terminal (par exemple, les redirections) n'est jamais touchée par cette optimisation et reste au format « Field: data\n ». Utiliser par exemple « lscpu | less » pour voir la sortie par défaut sans optimisation.

Dans les environnements virtualisés, les informations affichées sur l'architecture du processeur reflètent la configuration du système d'exploitation invité qui diffère en général du système physique (l'hôte). Sur les architectures qui récupèrent les informations de topologie physique, lscpu affiche aussi le nombre de sockets, de puces et de cœurs physiques du système hôte.

Les options ayant pour résultat un tableau en sortie ont un argument liste. Utilisez cet argument pour personnaliser la sortie de la commande. Indiquez une liste d’étiquettes de colonne séparées par des virgules pour limiter le tableau en sortie à ces colonnes dans l’ordre indiqué. Consultez COLONNES pour une liste des étiquettes de colonne possibles. Les étiquettes de colonne ne sont pas sensibles à la casse.

Toutes les colonnes ne sont pas prises en charge sur toutes les architectures. Si une colonne non prise en charge est indiquée, lscpu affiche la colonne, mais ne fournit pas de données pour cette colonne.

Les tailles du cache sont indiquées sous forme d'un résumé de tous les processeurs. Les versions inférieures à la version 2.34 affichaient des tailles par cœur, mais cette sortie était perturbante du fait de la topologie compliquée des processeurs et de la manière dont les caches sont partagés entre eux. Pour plus de détails sur les caches, voir --cache. Depuis la version v2.37, lspcu suit les identifiants comme le noyau Linux les fournit ils ne commencent pas toujours à zéro.

OPTIONS

-a, --all
    Inclure les lignes pour les processeurs en ligne et hors ligne dans la sortie (par défaut pour -e). Cette option ne peut être indiquée qu’avec les options -e ou -p.

-B, --bytes
    Afficher la taille (colonne SIZE) en octets plutôt qu'en format lisible.

    Par défaut l'unité dans laquelle les tailles sont exprimées est l'octet et les préfixes d'unité sont des puissances de 2^10 (1024). Les abréviations des symboles sont tronqués pour obtenir une meilleur lisibilité, en n'affichant que la première lettre, par exemple : « 1 Kio » et « 1 Mio » sont affichés « 1 K » et « 1 M » en omettant délibérément l'indication « io » qui fait partie de ces abréviations.

-b, --online
    Limiter la sortie aux processeurs en ligne (par défaut pour -p). Cette option ne peut être indiquée qu’avec les options -e ou -p.

-C, --caches[=liste]
    Afficher les détails des caches du processeur. Pour plus de détails sur les informations disponibles, voir l'affichage de --help.

    Si l’argument liste est omis, toutes les colonnes ayant des données disponibles sont incluses dans la sortie de la commande.

    Quand l’argument liste est indiqué, la chaîne option, signe égal (=) et liste ne doit pas contenir d’espace. Par exemple : -C=NOM,UNE-TAILLE ou --caches=NOM,UNE-TAILLE.

    La liste de colonnes par défaut peut-être étendue si une liste est spécifiée au format « +liste » (par exemple, lscpu -C=+ALLOC-POLICY).

-c, --offline
    Limiter la sortie aux processeurs hors ligne. Cette option ne peut être indiquée qu’avec les options -e ou -p.

-e, --extended[=liste]
    Afficher les renseignements sur le processeur au format lisible.

    Si l’argument liste est omis, toutes les colonnes par défaut sont incluses dans la sortie de la commande. La sortie par défaut est sujette à des modifications.

    Quand l’argument liste est indiqué, la chaîne option, signe égal (=) et liste ne doit pas contenir d’espace. Par exemple : « -e=cpu,node » ou « --extended=cpu,node ».

    La liste de colonnes par défaut peut-être étendue si une liste est spécifiée au format « +liste » (par exemple, lscpu -e=+MHZ).

-J, --json
    Utiliser le format d'affichage JSON pour le résumé par défaut ou l'affichage étendu (voir --extended).

-p, --parse[=liste]
    Optimiser la sortie de la commande pour faciliter l’analyse.

    En absence d'argument liste, la sortie de la commande est compatible avec les versions précédentes de lscpu. Dans ce format compatible, deux virgules séparent les colonnes de cache de processeur. Si aucun cache de processeur n'est identifié, la colonne est omise. Si l'argument liste est utilisé, les colonnes de cache sont séparées par des deux-points (:).

    Quand l’argument liste est indiqué, la chaîne option, signe égal (=) et liste ne doit pas contenir d’espace. Par exemple : « -p=cpu,node » ou « --parse=cpu,node ».

    La liste de colonnes par défaut peut-être étendue si une liste est spécifiée au format « +liste » (par exemple, lscpu -p=+MHZ).

-s, --sysroot répertoire
    Collecter les données de processeur pour une autre instance Linux que celle utilisée pour la commande lscpu. Le répertoire indiqué est la racine du système de l’instance Linux à inspecter.

-x, --hex
    Utiliser des masques hexadécimaux pour les ensembles de processeurs (par exemple « ff »). Par défaut, l'affichage est au format liste (par exemple 0,1). Remarquez qu'avant la version 2.30, le masque s'affichait avec le préfixe 0x.

-y, --physical
    Afficher les identifiants physiques de toutes les colonnes ayant des éléments de topologie (cœur, sockets, etc.). À part les identifiants logiques, affectés par lscpu, les valeurs des identifiants physiques sont spécifiques aux valeurs de chaque plateforme fournies par le noyau. Les identifiants physiques ne sont pas nécessairement uniques et ils pourraient ne pas être organisés séquentiellement. Si le noyau n'a pas pu récupérer l'identifiant physique d'un élément, lscpu affiche le caractère tiret (-).

    Les numéros logiques d’un processeur ne sont pas touchés par cette option.

--output-all
    Afficher les colonnes disponibles. Cette option peut être associée soit à --extended, soit à --parse, soit à --caches.

BOGUES

La vue d'ensemble de base de la famille, du modèle, etc., de processeur n’est toujours relative qu’au premier processeur.

Quelques fois sous Xen Dom0, les résultats du noyau sont incorrects.

Sur le matériel virtuel, le nombre de cœurs par socket, etc., peut être faux.

AUTEURS

VOIR AUSSI

chcpu(8)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande lscpu fait partie du paquet util-linux qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.